TANKILL-G
1
BRL-CAD
BRL-CAD
User Commands

# tankill-g

TANKILL Translator (TANKILL to BRL-CAD)

      tankill-g
        -n
        -t tolerance
        -i input_tankill_file
        -o database.g

## DESCRIPTION

tankill-g converts the specified input_tankill_file to a BRL-CAD database.g file. The tolerance provided is the maximum distance (in mm) between two vertices at which they will be considered to be the same vertex. The `-n` option provides output in the form of NMG primitives rather than the default which is BOT objects. The input_tankill_file is expected to be in the TANKILL format used by the British Defense Research Agency. This is a simple triangular patch format where each object is described by a series of vertices. Triangular facets are built from the first, second, and third vertices; from the second, third, and fourth vertices; from the third, fourth and fifth; and so on. Each object is converted to a single BOT object which is then placed into its own region and assigned the component code provided in the TANKILL file.

## EXAMPLE

    $ tankill-g sample.tankill sample.g

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1993-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.